# User Roles

Genesis Hosting Technologies uses Role-Based Access Control (RBAC) to ensure that users only have access to what they need.

## Role Definitions

| Role           | Description                                              | Examples                         |
|----------------|----------------------------------------------------------|----------------------------------|
| Customer       | End users with access to services they’ve purchased      | DirectAdmin clients, Streamers   |
| Support Staff  | Limited admin functions for resolving client issues      | Helpdesk, WHMCS support agents   |
| Administrator  | Full access to provision, maintain, and modify services  | Infrastructure admins            |
| Super Admin    | Root-level access to all systems                         | Owner/Lead Engineer              |

## Guidelines

- Roles are assigned during onboarding.
- Access levels are reviewed quarterly.
- No one should hold higher access than required for their duties.
